aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRene Ladan <rene@FreeBSD.org>2022-06-30 19:47:23 +0000
committerRene Ladan <rene@FreeBSD.org>2022-06-30 19:47:23 +0000
commit67fa95f7c4525606c2f5655c1c47c4f6814d633b (patch)
tree703765d53a5d670755bca80b8257cd159b6a3d2d
parentf599046f3b0f4b369c54bf24bde0dda3b2c62cf6 (diff)
downloadports-67fa95f7c4525606c2f5655c1c47c4f6814d633b.tar.gz
ports-67fa95f7c4525606c2f5655c1c47c4f6814d633b.zip
cleanup: Remove expired ports:
2022-06-30 security/ruby-bitwarden: Broken with all supported versions of Ruby 2022-06-30 mail/rubygem-tmail: Broken with all supported versions of Ruby 2022-06-30 www/redmine4: Deprecated by upstream. Please consider using www/redmine42
-rw-r--r--MOVED3
-rw-r--r--mail/Makefile1
-rw-r--r--mail/rubygem-tmail/Makefile23
-rw-r--r--mail/rubygem-tmail/distinfo2
-rw-r--r--mail/rubygem-tmail/pkg-descr4
-rw-r--r--security/Makefile1
-rw-r--r--security/ruby-bitwarden/Makefile43
-rw-r--r--security/ruby-bitwarden/distinfo3
-rw-r--r--security/ruby-bitwarden/files/pkg-message.in10
-rw-r--r--security/ruby-bitwarden/files/rubywarden-api.in47
-rw-r--r--security/ruby-bitwarden/pkg-descr4
-rw-r--r--security/ruby-bitwarden/pkg-plist60
-rw-r--r--www/Makefile1
-rw-r--r--www/redmine4/Makefile106
-rw-r--r--www/redmine4/bsd.redmine.mk78
-rw-r--r--www/redmine4/distinfo3
-rw-r--r--www/redmine4/files/markdown.rb1
-rw-r--r--www/redmine4/files/mini_magick.rb1
-rw-r--r--www/redmine4/files/mysql.rb1
-rw-r--r--www/redmine4/files/patch-Gemfile116
-rw-r--r--www/redmine4/files/pg.rb1
-rw-r--r--www/redmine4/files/redmine.in38
-rw-r--r--www/redmine4/files/thin.rb1
-rw-r--r--www/redmine4/pkg-descr23
-rw-r--r--www/redmine4/pkg-message18
-rw-r--r--www/redmine4/pkg-plist2172
26 files changed, 3 insertions, 2758 deletions
diff --git a/MOVED b/MOVED
index 9c6f35a25767..ee18e9dd4d2d 100644
--- a/MOVED
+++ b/MOVED
@@ -17365,3 +17365,6 @@ security/libgringotts||2022-06-30|Has expired: Abandonware, upstream dead and la
deskutils/osmo||2022-06-30|Has expired: Depends on expired security/libgringotts
devel/itext||2022-06-30|Has expired: Outdated version and deprecated by upstream
audio/tuxguitar||2022-06-30|Has expired: Depends on expired devel/itext
+security/ruby-bitwarden||2022-06-30|Has expired: Broken with all supported versions of Ruby
+mail/rubygem-tmail||2022-06-30|Has expired: Broken with all supported versions of Ruby
+www/redmine4|www/redmine42|2022-06-30|Has expired: Deprecated by upstream. Please consider using www/redmine42
diff --git a/mail/Makefile b/mail/Makefile
index ff03d529fffe..48b916c22081 100644
--- a/mail/Makefile
+++ b/mail/Makefile
@@ -611,7 +611,6 @@
SUBDIR += rubygem-roadie-rails-rails52
SUBDIR += rubygem-roadie3
SUBDIR += rubygem-ruby-qmail
- SUBDIR += rubygem-tmail
SUBDIR += rubygem-valid_email
SUBDIR += rubygem-vmail
SUBDIR += s-nail
diff --git a/mail/rubygem-tmail/Makefile b/mail/rubygem-tmail/Makefile
deleted file mode 100644
index 47b35b69fa2c..000000000000
--- a/mail/rubygem-tmail/Makefile
+++ /dev/null
@@ -1,23 +0,0 @@
-# Created by: Akinori MUSHA aka knu <knu@idaemons.org>
-
-PORTNAME= tmail
-PORTVERSION= 1.2.7.1
-CATEGORIES= mail rubygems
-MASTER_SITES= RG
-
-MAINTAINER= ruby@FreeBSD.org
-COMMENT= RFC2822/MIME compliant mail manipulating library for Ruby
-
-DEPRECATED= Broken with all supported versions of Ruby
-EXPIRATION_DATE= 2022-06-30
-
-# Seems to be a dead project, last upgrade 2010-02-07 and homepage does not load anymore:
-# https://rubygems.org/gems/tmail, http://tmail.rubyforge.org/
-BROKEN_RUBY27= yes
-BROKEN_RUBY30= yes
-BROKEN_RUBY31= yes
-
-USE_RUBY= yes
-USES= gem
-
-.include <bsd.port.mk>
diff --git a/mail/rubygem-tmail/distinfo b/mail/rubygem-tmail/distinfo
deleted file mode 100644
index a43954e763dc..000000000000
--- a/mail/rubygem-tmail/distinfo
+++ /dev/null
@@ -1,2 +0,0 @@
-SHA256 (rubygem/tmail-1.2.7.1.gem) = 9e4153e48c7f618ce6b22a44b5671ec5b9e49d16c693c3ee8b93397e9d78ca41
-SIZE (rubygem/tmail-1.2.7.1.gem) = 446464
diff --git a/mail/rubygem-tmail/pkg-descr b/mail/rubygem-tmail/pkg-descr
deleted file mode 100644
index 2600cdcede1e..000000000000
--- a/mail/rubygem-tmail/pkg-descr
+++ /dev/null
@@ -1,4 +0,0 @@
-TMail is a mail manipulating library for Ruby, with RFC822 and MIME
-multipart support.
-
-WWW: https://rubygems.org/gems/tmail
diff --git a/security/Makefile b/security/Makefile
index 0cdfec0e8560..7e8fda0ac4a0 100644
--- a/security/Makefile
+++ b/security/Makefile
@@ -1015,7 +1015,6 @@
SUBDIR += rkhunter
SUBDIR += rndpassw
SUBDIR += rnp
- SUBDIR += ruby-bitwarden
SUBDIR += rubygem-acme-client
SUBDIR += rubygem-aes_key_wrap
SUBDIR += rubygem-airbrussh
diff --git a/security/ruby-bitwarden/Makefile b/security/ruby-bitwarden/Makefile
deleted file mode 100644
index d9e47dc1f040..000000000000
--- a/security/ruby-bitwarden/Makefile
+++ /dev/null
@@ -1,43 +0,0 @@
-# Created by: Mark Felder <feld@FreeBSD.org>
-
-PORTNAME= rubywarden
-DISTVERSION= 0.0.0.20200226
-PORTREVISION= 0
-CATEGORIES= security www
-
-MAINTAINER= mr@FreeBSD.org
-COMMENT= Ruby implementation of the BitWarden API
-
-LICENSE= ISCL
-
-DEPRECATED= Broken with all supported versions of Ruby
-EXPIRATION_DATE= 2022-06-30
-
-# Port is not maintained anymore:
-# https://github.com/jcs/rubywarden
-BROKEN_RUBY27= yes
-BROKEN_RUBY30= yes
-BROKEN_RUBY31= yes
-
-RUN_DEPENDS= rubygem-bundler>=1.16:sysutils/rubygem-bundler
-
-USES= sqlite
-USE_RUBY= yes
-RUBY_NO_BUILD_DEPENDS= yes
-
-USE_GITHUB= yes
-GH_ACCOUNT= jcs
-GH_TAGNAME= 549f66466ca753ee2f3c007b6e242d59dae05fdd
-
-NO_ARCH= yes
-NO_BUILD= yes
-
-USE_RC_SUBR= rubywarden-api
-SUB_FILES= pkg-message
-SUB_LIST+= RUBY_WITH_SUFFIX="${RUBY_WITH_SUFFIX}"
-
-do-install:
- ${MKDIR} ${STAGEDIR}/${WWWDIR}
- (cd ${WRKSRC} && ${COPYTREE_SHARE} . ${STAGEDIR}/${WWWDIR})
-
-.include <bsd.port.mk>
diff --git a/security/ruby-bitwarden/distinfo b/security/ruby-bitwarden/distinfo
deleted file mode 100644
index 8108cd10eddc..000000000000
--- a/security/ruby-bitwarden/distinfo
+++ /dev/null
@@ -1,3 +0,0 @@
-TIMESTAMP = 1584823928
-SHA256 (jcs-rubywarden-0.0.0.20200226-549f66466ca753ee2f3c007b6e242d59dae05fdd_GH0.tar.gz) = c5ba2fbbdbf1cb444e2cb654c67feff104af2922aefe76099a9ae1ac9a54b378
-SIZE (jcs-rubywarden-0.0.0.20200226-549f66466ca753ee2f3c007b6e242d59dae05fdd_GH0.tar.gz) = 39239
diff --git a/security/ruby-bitwarden/files/pkg-message.in b/security/ruby-bitwarden/files/pkg-message.in
deleted file mode 100644
index 7c8c255da2c5..000000000000
--- a/security/ruby-bitwarden/files/pkg-message.in
+++ /dev/null
@@ -1,10 +0,0 @@
-[
-{ type: install
- message: <<EOM
- After installation of this port you have to install the necessary
- rubygem dependencies.
-
- Follow the instructions in %%WWWDIR%%/README.md
-EOM
-}
-]
diff --git a/security/ruby-bitwarden/files/rubywarden-api.in b/security/ruby-bitwarden/files/rubywarden-api.in
deleted file mode 100644
index 5b2e1ce0b938..000000000000
--- a/security/ruby-bitwarden/files/rubywarden-api.in
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/bin/sh
-#
-# Created by: Mark Felder <feld@FreeBSD.org>
-
-# PROVIDE: rubywarden-api
-# REQUIRE: LOGIN
-# KEYWORD: shutdown
-
-#
-# Add the following line to /etc/rc.conf to enable `rubywarden-api':
-#
-# rubywarden_api_enable="YES"
-
-. /etc/rc.subr
-name=rubywarden_api
-
-rcvar=rubywarden_api_enable
-load_rc_config ${name}
-
-: ${rubywarden_api_enable:=NO}
-: ${rubywarden_api_host:=localhost}
-: ${rubywarden_api_port:=4567}
-: ${rubywarden_api_signups:=NO}
-: ${rubywarden_api_user:=www}
-: ${rubywarden_api_group:=www}
-: ${rubywarden_api_chdir=/usr/local/www/rubywarden}
-
-pidfile="/var/run/rubywarden/${name}.pid"
-procname=%%RUBY_WITH_SUFFIX%%
-command="%%PREFIX%%/bin/rackup"
-command_args="-P ${pidfile} -o ${rubywarden_api_host} -p ${rubywarden_api_port} -E production config.ru 2>&1 | logger -t rubywarden &"
-start_precmd="start_precmd"
-
-start_precmd()
-{
- if [ ! -e /var/run/rubywarden ] ; then
- install -d -o ${rubywarden_api_user} -g ${rubywarden_api_group} /var/run/rubywarden;
- fi
-
- checkyesno rubywarden_api_signups
- if [ "$?" -eq 0 ]; then
- export ALLOW_SIGNUPS=1
- echo "Bitwarden Signups Enabled"
- fi
-}
-
-run_rc_command "$1"
diff --git a/security/ruby-bitwarden/pkg-descr b/security/ruby-bitwarden/pkg-descr
deleted file mode 100644
index efaa37ed2c79..000000000000
--- a/security/ruby-bitwarden/pkg-descr
+++ /dev/null
@@ -1,4 +0,0 @@
-A small, self-contained API server written in Ruby and Sinatra to
-provide a private backend for the open-source Bitwarden apps.
-
-WWW: https://github.com/jcs/rubywarden
diff --git a/security/ruby-bitwarden/pkg-plist b/security/ruby-bitwarden/pkg-plist
deleted file mode 100644
index 46e279e6e9bc..000000000000
--- a/security/ruby-bitwarden/pkg-plist
+++ /dev/null
@@ -1,60 +0,0 @@
-%%WWWDIR%%/.gitignore
-%%WWWDIR%%/API.md
-%%WWWDIR%%/AR-MIGRATE.md
-%%WWWDIR%%/Gemfile
-%%WWWDIR%%/Gemfile.lock
-%%WWWDIR%%/LICENSE
-%%WWWDIR%%/README.md
-%%WWWDIR%%/Rakefile
-%%WWWDIR%%/config.ru
-%%WWWDIR%%/db/.gitkeep
-%%WWWDIR%%/db/config.yml
-%%WWWDIR%%/db/migrate/20180324145941_create_users.rb
-%%WWWDIR%%/db/migrate/20180324151103_create_devices.rb
-%%WWWDIR%%/db/migrate/20180324151113_create_folders.rb
-%%WWWDIR%%/db/migrate/20180324151117_create_ciphers.rb
-%%WWWDIR%%/db/migrate/20180518070354_set_default_value_for_favorite.rb
-%%WWWDIR%%/db/migrate/20180818095054_create_attachments.rb
-%%WWWDIR%%/db/migrate/20180818201731_user_kdf_iterations.rb
-%%WWWDIR%%/db/migrate/20180818212323_add_user_kdf_type.rb
-%%WWWDIR%%/db/migrate/20190419171915_drop_attachments_url.rb
-%%WWWDIR%%/db/migrate/201905%%RUBY_SUFFIX%%014920_password_history.rb
-%%WWWDIR%%/db/migrate/20190724163354_no_null_kdf_iterations.rb
-%%WWWDIR%%/lib/app.rb
-%%WWWDIR%%/lib/attachment.rb
-%%WWWDIR%%/lib/bitwarden.rb
-%%WWWDIR%%/lib/cipher.rb
-%%WWWDIR%%/lib/db.rb
-%%WWWDIR%%/lib/dbmodel.rb
-%%WWWDIR%%/lib/device.rb
-%%WWWDIR%%/lib/folder.rb
-%%WWWDIR%%/lib/helper.rb
-%%WWWDIR%%/lib/helpers/attachment_helpers.rb
-%%WWWDIR%%/lib/helpers/request_helpers.rb
-%%WWWDIR%%/lib/routes/api.rb
-%%WWWDIR%%/lib/routes/attachments.rb
-%%WWWDIR%%/lib/routes/icons.rb
-%%WWWDIR%%/lib/routes/identity.rb
-%%WWWDIR%%/lib/rubywarden.rb
-%%WWWDIR%%/lib/user.rb
-%%WWWDIR%%/spec/attachment_spec.rb
-%%WWWDIR%%/spec/bitwarden_importer_spec.rb
-%%WWWDIR%%/spec/cipher_spec.rb
-%%WWWDIR%%/spec/cipherstring_spec.rb
-%%WWWDIR%%/spec/db_spec.rb
-%%WWWDIR%%/spec/fixtures/bitwarden_export.csv
-%%WWWDIR%%/spec/folder_spec.rb
-%%WWWDIR%%/spec/icon_spec.rb
-%%WWWDIR%%/spec/identity_spec.rb
-%%WWWDIR%%/spec/spec_helper.rb
-%%WWWDIR%%/spec/support/factories.rb
-%%WWWDIR%%/spec/support/request_helpers.rb
-%%WWWDIR%%/spec/user_spec.rb
-%%WWWDIR%%/tools/1password_import.rb
-%%WWWDIR%%/tools/activate_totp.rb
-%%WWWDIR%%/tools/bitwarden_import.rb
-%%WWWDIR%%/tools/change_master_password.rb
-%%WWWDIR%%/tools/keepass_import.rb
-%%WWWDIR%%/tools/lastpass_import.rb
-%%WWWDIR%%/tools/migrate_to_ar.rb
-%%WWWDIR%%/tools/mitm.rb
diff --git a/www/Makefile b/www/Makefile
index ab6e4de29c40..d38fca2a78ec 100644
--- a/www/Makefile
+++ b/www/Makefile
@@ -1827,7 +1827,6 @@
SUBDIR += qutebrowser
SUBDIR += radicale
SUBDIR += rearx
- SUBDIR += redmine4
SUBDIR += redmine42
SUBDIR += rejik
SUBDIR += reportmagic
diff --git a/www/redmine4/Makefile b/www/redmine4/Makefile
deleted file mode 100644
index 96ae3eea9e84..000000000000
--- a/www/redmine4/Makefile
+++ /dev/null
@@ -1,106 +0,0 @@
-PORTNAME= redmine
-PORTVERSION= 4.1.7
-CATEGORIES= www
-MASTER_SITES= https://www.redmine.org/releases/
-PKGNAMESUFFIX= 4
-
-MAINTAINER= mikael@FreeBSD.org
-COMMENT= Flexible project management web application
-
-DEPRECATED= Deprecated by upstream. Please consider using www/redmine42
-EXPIRATION_DATE=2022-06-30
-
-LICENSE= GPLv2
-LICENSE_FILE= ${WRKSRC}/doc/COPYING
-
-PORTSCOUT= limit:^4\.1\.
-
-RUN_DEPENDS= rubygem-bundler>=1.5.0:sysutils/rubygem-bundler \
- rubygem-rails52>=5.2.6<5.3:www/rubygem-rails52 \
- rubygem-rouge312>=3.12.0:textproc/rubygem-rouge312 \
- rubygem-request_store14>=1.0.5:devel/rubygem-request_store14 \
- rubygem-mini_mime>=1.0.1:mail/rubygem-mini_mime \
- rubygem-actionpack-xml_parser-rails52>=0:textproc/rubygem-actionpack-xml_parser-rails52 \
- rubygem-roadie-rails-rails52>=2.1.0:mail/rubygem-roadie-rails-rails52 \
- rubygem-mail>=2.7.1:mail/rubygem-mail \
- rubygem-csv>=3.1.1:devel/rubygem-csv \
- rubygem-nokogiri111>=1.11.0:textproc/rubygem-nokogiri111 \
- rubygem-i18n>=0.7:devel/rubygem-i18n \
- rubygem-rbpdf>=1.19.6:print/rubygem-rbpdf \
- rubygem-net-ldap>=0.16:net/rubygem-net-ldap \
- rubygem-ruby-openid>=2.9.2:net/rubygem-ruby-openid \
- rubygem-rack-openid>=0:www/rubygem-rack-openid \
- rubygem-rake>=0:devel/rubygem-rake
-
-USES= cpe
-USE_RUBY= yes
-BROKEN_RUBY30= yes
-BROKEN_RUBY31= yes
-
-CONFLICTS_INSTALL= redmine42
-
-NO_ARCH= yes
-NO_BUILD= yes
-
-USERS= ${WWWOWN}
-GROUPS= ${WWWGRP}
-PLIST_SUB= WWWOWN=${WWWOWN} WWWGRP=${WWWGRP}
-SUB_LIST= RUBY_SUFFIX=${RUBY_SUFFIX}
-
-OPTIONS_DEFINE= MYSQL POSTGRESQL MARKDOWN RMAGIC THIN
-OPTIONS_DEFAULT=MYSQL MARKDOWN RMAGIC THIN
-OPTIONS_SUB= yes
-POSTGRESQL_DESC=Enable PostgreSQL support
-MARKDOWN_DESC= Enable Markdown support
-RMAGIC_DESC= Enable Gantt charts support
-THIN_DESC= Use Thin WEB server
-MYSQL_DESC= MySQL database support (via mysql2 rubygem)
-NO_OPTIONS_SORT= yes
-
-MYSQL_RUN_DEPENDS= rubygem-mysql2>=0.5.0:databases/rubygem-mysql2
-POSTGRESQL_RUN_DEPENDS= rubygem-pg>=1.1.4:databases/rubygem-pg
-MARKDOWN_RUN_DEPENDS= rubygem-redcarpet>=3.4.0:textproc/rubygem-redcarpet
-RMAGIC_RUN_DEPENDS= rubygem-mini_magick>=4.9.5:graphics/rubygem-mini_magick
-THIN_RUN_DEPENDS= rubygem-thin>=1.6.2:www/rubygem-thin
-THIN_SUB_LIST= WWWOWN=${WWWOWN} WWWGRP=${WWWGRP}
-THIN_VARS= USE_RC_SUBR=redmine
-
-.include <bsd.port.options.mk>
-
-post-extract:
- @${RM} -r ${WRKSRC}/.hgignore ${WRKSRC}/.gitignore ${WRKSRC}/.github \
- ${WRKSRC}/files/delete.me ${WRKSRC}/log/delete.me
- @${MV} ${WRKSRC}/config/settings.yml ${WRKSRC}/config/settings.yml.sample
- @${MV} ${WRKSRC}/config/database.yml.example ${WRKSRC}/config/database.yml.sample
-
-post-patch:
- @${RM} ${WRKSRC}/Gemfile.orig
-
-do-install:
- ${MKDIR} ${STAGEDIR}${WWWDIR}
- ${MKDIR} ${STAGEDIR}${WWWDIR}/bundler.d
- ${MKDIR} ${STAGEDIR}${WWWDIR}/log
- ${MKDIR} ${STAGEDIR}${WWWDIR}/public/plugin_assets
- ${MKDIR} ${STAGEDIR}${WWWDIR}/tmp
- cd ${WRKSRC} && ${COPYTREE_SHARE} . ${STAGEDIR}${WWWDIR}
- ${TOUCH} ${STAGEDIR}${WWWDIR}/Gemfile.lock
-
-do-install-MYSQL-on:
- ${CP} ${FILESDIR}/mysql.rb ${STAGEDIR}${WWWDIR}/bundler.d
-
-do-install-POSTGRESQL-on:
- ${CP} ${FILESDIR}/pg.rb ${STAGEDIR}${WWWDIR}/bundler.d
-
-do-install-MARKDOWN-on:
- ${CP} ${FILESDIR}/markdown.rb ${STAGEDIR}${WWWDIR}/bundler.d
-
-do-install-RMAGIC-on:
- ${CP} ${FILESDIR}/mini_magick.rb ${STAGEDIR}${WWWDIR}/bundler.d
-
-do-install-THIN-on:
- ${CP} ${FILESDIR}/thin.rb ${STAGEDIR}${WWWDIR}/bundler.d
-
-post-install:
- (cd ${STAGEDIR}${WWWDIR} && ${RM} Gemfile.lock && bundle install --local)
-
-.include <bsd.port.mk>
diff --git a/www/redmine4/bsd.redmine.mk b/www/redmine4/bsd.redmine.mk
deleted file mode 100644
index 1da743cdbeb7..000000000000
--- a/www/redmine4/bsd.redmine.mk
+++ /dev/null
@@ -1,78 +0,0 @@
-# Module that simplifies installation of Redmine plugins.
-#
-# Date created: 2010-09-12
-# Whom: Eygene Ryabinkin <rea-fbsd@codelabs.ru>
-#
-# We're assuming standard plugin installation sequence that is described
-# in the https://www.redmine.org/projects/redmine/wiki/Plugins
-#
-# Basically, we need the following variables to be defined:
-# - REDMINE_PLUGIN_NAME: the name of the plugin;
-# - WWWDIR: the location of the Redmine installation;
-# the default value is ${PREFIX}/www/redmine;
-# the directory must lie under ${PREFIX} or such configuration
-# will be IGNORE'd;
-# - WRKSRC must be set to the root directory of the plugin contents:
-# we will copy all objects in this directory to the plugin's
-# destination directory, excluding all files named *.orig.
-#
-# PLIST will be generated automatically, there is no need to worry
-# about it. But if you will need to use your own (even the standard
-# packaging list in ${PORTDIR}/pkg-plist), set the variable PLIST
-# pointing to that file.
-#
-# You can override the target 'do-build', but in this case, you should
-# remember that the target named 'redmine-plugin-plist' does the
-# automated generation of the PLIST: use it if you need.
-#
-#
-# Here is an example of a simple Makefile for Redmine plugin:
-# {{{
-# PORTNAME= me-the-plugin
-# PORTVERSION= 1.0
-# CATEGORIES= www
-# MASTER_SITES= http://cool.org.name/some/path/
-#
-# MAINTAINER= you@your.org
-# COMMENT= Another cool plugin for Redmine
-#
-# REDMINE_PLUGIN_NAME= redmine_http_auth
-#
-# .include "${.CURDIR}/../../www/redmine/bsd.redmine.mk"
-# }}}
-
-PKGNAMEPREFIX?= redmine4-
-
-RUN_DEPENDS+= redmine4>=4.0:www/redmine4
-
-USE_RUBY= yes
-.if !defined(PLIST)
-PLIST= ${WRKDIR}/PLIST
-_GEN_PLIST= YesPlease
-.endif
-
-WWWDIR?= ${PREFIX}/www/redmine
-WWWDIR_REL= ${WWWDIR:S|^${PREFIX}/||}
-
-.if ${WWWDIR_REL} == ${WWWDIR}
-IGNORE= WWWDIR is not a child of PREFIX (${PREFIX})
-.endif
-
-.if !defined(do-build)
-do-build: redmine-plugin-plist
- @${DO_NADA}
-.endif
-
-redmine-plugin-plist:
-.if defined(_GEN_PLIST)
- cd ${WRKSRC} && ${FIND} . -type f | ${GREP} -v '\.orig$$' | ${SED} -e's|^\.|${WWWDIR_REL}/plugins/${REDMINE_PLUGIN_NAME}|' >> ${PLIST}
- cd ${WRKSRC} && ${FIND} -d . -empty -type d | ${SED} -e's|^\.|@dir ${WWWDIR_REL}/plugins/${REDMINE_PLUGIN_NAME}|' >> ${PLIST}
-.else
- @${DO_NADA}
-.endif
-
-do-install:
- ${MKDIR} "${STAGEDIR}${WWWDIR}/plugins/${REDMINE_PLUGIN_NAME}"
- ${TAR} -C "${WRKSRC}" -cf - --exclude '*.orig' . | ${TAR} -C "${STAGEDIR}${WWWDIR}/plugins/${REDMINE_PLUGIN_NAME}" -xf -
-
-.include <bsd.port.mk>
diff --git a/www/redmine4/distinfo b/www/redmine4/distinfo
deleted file mode 100644
index 377aab0a1969..000000000000
--- a/www/redmine4/distinfo
+++ /dev/null
@@ -1,3 +0,0 @@
-TIMESTAMP = 1648644318
-SHA256 (redmine-4.1.7.tar.gz) = bf56cade5d0a6623af590652bffe2865208f399fe77746d4e1bbd9d1a995a38a
-SIZE (redmine-4.1.7.tar.gz) = 2723718
diff --git a/www/redmine4/files/markdown.rb b/www/redmine4/files/markdown.rb
deleted file mode 100644
index 386e75e32e59..000000000000
--- a/www/redmine4/files/markdown.rb
+++ /dev/null
@@ -1 +0,0 @@
-gem "redcarpet", ">= 3.4.0"
diff --git a/www/redmine4/files/mini_magick.rb b/www/redmine4/files/mini_magick.rb
deleted file mode 100644
index aa3d36220dad..000000000000
--- a/www/redmine4/files/mini_magick.rb
+++ /dev/null
@@ -1 +0,0 @@
-gem "mini_magick", ">= 4.9.5"
diff --git a/www/redmine4/files/mysql.rb b/www/redmine4/files/mysql.rb
deleted file mode 100644
index 178b6b3faa35..000000000000
--- a/www/redmine4/files/mysql.rb
+++ /dev/null
@@ -1 +0,0 @@
-gem "mysql2", "~> 0.5.0"
diff --git a/www/redmine4/files/patch-Gemfile b/www/redmine4/files/patch-Gemfile
deleted file mode 100644
index dce5ad06301f..000000000000
--- a/www/redmine4/files/patch-Gemfile
+++ /dev/null
@@ -1,116 +0,0 @@
---- Gemfile.orig 2021-04-22 10:46:10 UTC
-+++ Gemfile
-@@ -1,21 +1,21 @@ source 'https://rubygems.org'
- source 'https://rubygems.org'
-
--ruby '>= 2.3.0', '< 2.7.0' if Bundler::VERSION >= '1.12.0'
-+ruby '>= 2.3.0', '< 2.8.0' if Bundler::V